//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Fit/FitParameterContainerItem.h
//! @brief     Defines class FitParameterContainerItem
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_FIT_FITPARAMETERCONTAINERITEM_H
#define BORNAGAIN_GUI_MODEL_FIT_FITPARAMETERCONTAINERITEM_H

#include "GUI/Model/Session/SessionItem.h"

namespace mumufit {
class Parameters;
}
class FitParameterItem;

//! The FitParameterContainerItem class is a collection of all defined fit parameters in JobItem.

class FitParameterContainerItem : public SessionItem {
private:
    static constexpr auto T_FIT_PARAMETERS{"Data tag"};

public:
    static constexpr auto M_TYPE{"FitParameterContainer"};

    FitParameterContainerItem();
    FitParameterItem* fitParameterItem(const QString& link);
    QVector<FitParameterItem*> fitParameterItems();
    bool isEmpty();
    void setValuesInParameterContainer(const QVector<double>& values,
                                       class ParameterContainerItem* parameterContainer);
    mumufit::Parameters createParameters() const;
};

#endif // BORNAGAIN_GUI_MODEL_FIT_FITPARAMETERCONTAINERITEM_H
