//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/From/GUIObjectBuilder.h
//! @brief     Defines namespace GUI::Model::ObjectBuilder
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_FROM_GUIOBJECTBUILDER_H
#define BORNAGAIN_GUI_MODEL_FROM_GUIOBJECTBUILDER_H

#include <QString>

class SimulationOptionsItem;
class ISimulation;
class InstrumentModel;
class MaterialModel;
class MultiLayer;
class SampleModel;
class SessionItem;

//! Contains set of methods to populate GUI models with content from domain.

namespace GUI::Model::ObjectBuilder {

SessionItem* populateInstrumentModel(InstrumentModel* p_instrument_model,
                                     const ISimulation& simulation,
                                     const QString& instrument_name = "");

void populateSimulationOptions(SimulationOptionsItem* item, const ISimulation& simulation);

} // namespace GUI::Model::ObjectBuilder

#endif // BORNAGAIN_GUI_MODEL_FROM_GUIOBJECTBUILDER_H
