//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/IO/OutputDataUtils.h
//! @brief     Defines namespace GUI::Util::Output
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_IO_OUTPUTDATAUTILS_H
#define BORNAGAIN_GUI_MODEL_IO_OUTPUTDATAUTILS_H

#include <memory>

template <class T> class OutputData;

//! Provides utility methods for output data.

namespace GUI::Util::Output {

//! Creates OutputData with bin-valued axes.
std::unique_ptr<OutputData<double>> binifyAxes(const OutputData<double>& data);

} // namespace GUI::Util::Output

#endif // BORNAGAIN_GUI_MODEL_IO_OUTPUTDATAUTILS_H
