//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Instrument/BeamAngleItems.h
//! @brief     Defines class BeamAngleItems
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_INSTRUMENT_BEAMANGLEITEMS_H
#define BORNAGAIN_GUI_MODEL_INSTRUMENT_BEAMANGLEITEMS_H

#include "GUI/Model/Instrument/BeamDistributionItem.h"

class BeamAzimuthalAngleItem : public BeamDistributionItem {
public:
    static constexpr auto M_TYPE{"BeamAzimuthalAngle"};

    BeamAzimuthalAngleItem();

    double azimuthalAngle() const;

    double scaleFactor() const override;

private:
    static const bool m_show_mean = true;
};

class BeamInclinationAngleItem : public BeamDistributionItem {
public:
    static constexpr auto M_TYPE{"BeamInclinationAngle"};

    BeamInclinationAngleItem();

    double inclinationAngle() const;

    double scaleFactor() const override;

private:
    static const bool m_show_mean = true;
};

#endif // BORNAGAIN_GUI_MODEL_INSTRUMENT_BEAMANGLEITEMS_H
