//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Instrument/RectangularDetectorEditor.h
//! @brief     Defines class RectangularDetectorEditor
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_INSTRUMENT_RECTANGULARDETECTOREDITOR_H
#define BORNAGAIN_GUI_VIEW_INSTRUMENT_RECTANGULARDETECTOREDITOR_H

#include <QWidget>

class DetectorAlignmentEditor;
class RectangularAxisEditor;
class RectangularDetectorItem;
class ResolutionFunctionEditor;

class RectangularDetectorEditor : public QWidget {
    Q_OBJECT

public:
    RectangularDetectorEditor(QWidget* parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    void setItem(RectangularDetectorItem* item);

private:
    RectangularAxisEditor* m_xAxisEditor;
    RectangularAxisEditor* m_yAxisEditor;
    ResolutionFunctionEditor* m_resolutionFunctionEditor;
    DetectorAlignmentEditor* m_alignmentEditor;
};

#endif // BORNAGAIN_GUI_VIEW_INSTRUMENT_RECTANGULARDETECTOREDITOR_H
