#include "Base/Const/Units.h"
#include "Base/Util/Algorithms.h"
#include "GUI/Model/Sample/FormFactorItems.h"
#include "Sample/HardParticle/FormFactorAnisoPyramid.h"
#include "Tests/GTestWrapper/google_test.h"

class TestFormFactorItems : public ::testing::Test {
};

TEST_F(TestFormFactorItems, AnisoPyramidItem)
{
    // to domain
    AnisoPyramidItem item;
    item.setLength(20.0);
    item.setWidth(16.0);
    item.setHeight(13.0);
    item.setAlpha(60.0);
    auto P_ff = item.createFormFactor();
    auto* p_ff = dynamic_cast<FormFactorAnisoPyramid*>(P_ff.get());
    EXPECT_TRUE(p_ff);
    EXPECT_EQ(p_ff->getLength(), 20.0);
    EXPECT_EQ(p_ff->getWidth(), 16.0);
    EXPECT_EQ(p_ff->getHeight(), 13.0);
    EXPECT_TRUE(BaseUtils::algo::almostEqual(p_ff->getAlpha(), Units::deg2rad(60.0)));
}
